> ## Documentation Index
> Fetch the complete documentation index at: https://doc.haipay.net/llms.txt
> Use this file to discover all available pages before exploring further.

# 账户查询

> 查询当前业务对应币种的账户余额信息

<div class="flex flex-col gap-4">
  <div class="api-section-heading flex flex-col gap-y-4 w-full">
    <div class="flex items-baseline border-b pb-2.5 border-gray-100 dark:border-gray-800 w-full">
      <h4 class="api-section-heading-title flex-1 mb-0">密钥私钥(生成签名)</h4>
    </div>

    <div />
  </div>

  <input id="secret-key" placeholder="密钥" class="px-3 py-2 border rounded-md" />

  <input id="private-key" placeholder="私钥" class="px-3 py-2 border rounded-md" />
</div>

## 相关主题

* [公共接口](/docs/zh/api/version2/CommonApi)
* [HaiPay API 文档简介](/docs/zh/api-reference/overview)
* [HaiPay 配置与签名指南](/docs/zh/guide/config_settings_and_signature_rules_guide)


## OpenAPI

````yaml docs/zh/api-reference/common/common.openapi.json POST /{currency}/account/ledger
openapi: 3.1.0
info:
  title: 公共接口 API
  description: HaiPay 公共接口，包括账户查询、对帐文件下载、代付凭证、汇率查询、支付凭证PDF和商户支付配置查询。
  version: 1.0.0
servers:
  - url: https://uat-interface.haipay.asia
    description: 测试-interface
security: []
tags: []
paths:
  /{currency}/account/ledger:
    post:
      tags: []
      summary: 账户查询
      description: 查询当前业务对应币种的账户余额信息。
      parameters:
        - name: currency
          in: path
          description: 币种编码（国际标准代码，三位大写字母，如 USD、EUR、MXN）
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                appId:
                  type: integer
                  description: 业务ID（后台获取，需根据URL中的币种传递对应的业务ID）
                  format: int64
                sign:
                  type: string
                  description: 签名
              required:
                - appId
                - sign
            examples: {}
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: 状态码
                  error:
                    type: string
                    description: 错误码
                  msg:
                    type: string
                    description: 消息
                  data:
                    type: object
                    properties:
                      bal:
                        type: string
                        description: 账户余额
                      availableBal:
                        type: string
                        description: 可用金额
                      frzBal:
                        type: string
                        description: 冻结金额
                      unSettleBal:
                        type: string
                        description: 待结算金额
                      sign:
                        type: string
                        description: 签名
                    additionalProperties: false
          headers: {}
      deprecated: false
      security: []

````